import numpy as np
import os
from shutil import copy2, copyfile
import subprocess as sb


def createAndLaunch(par,lines):
    pars=par.split()
    nf='input_IE_'+pars[0]
    fout=open(nf,'w')
    for i in range(len(lines)):
        if i==1:
            fout.write(pars[0]+' \n')
        elif i==26:
            fout.write(pars[0]+' \n')
        elif i==27:
            if os.path.isfile('data/'+pars[0]+'.points'):
                fout.write('data/'+pars[0]+'.points \n')
            else:
                fout.write('None \n')
        elif i==28:
            if os.path.isfile('data/'+pars[0]+'.rv'):
                fout.write('data/'+pars[0]+'.rv \n')
            else:
                fout.write('None \n')
        elif i>29:
            fout.write(pars[i-29]+' 1  \n')
        else:
            fout.write(lines[i])
    fout.close()
    sb.check_call(['./main', nf])

    foutput=open(lines[0].rstrip()+'/'+pars[0]+'.res','r')
    out=foutput.readlines()
    foutput.close()

    l1 = out[86].split()
    l2 = out[87].split()

    nextRV = l1[-1]
    IERV = l2[-1]

    if 'NO' in out[86]:
        meanRV = ' None '
        lastRV = ' None '
        deltaRV = ' None '
    else:
        lastRV = l1[3]
        meanRV = l2[6]
        deltaRV = l2[12]

    result = [pars[0] , lastRV, meanRV, deltaRV, IERV]
    return result






inputFile = 'input_2stars'
fin=open(inputFile,'r')
lines=fin.readlines()
fin.close()

parFile='orbital_param.par'
fpar=open(parFile,'r')
par=fpar.readlines()
fpar.close()

nstars=len(par)-1

results=[]
for i in range(1,nstars+1):
    results.append(createAndLaunch(par[i],lines))
    

fout = open('informationEntropy.out','w')
for r in results:
    for s in r:
        fout.write(s+'   ')
    fout.write('\n')
fout.close()