PROGRAM main
   USE kindtype
   use dynamicMod, only : initDyn, writeSimulated,writeOut
	 use fitParMod, only : initFit,fit,writeResults
	 use modelinterface, only:computepartials
   implicit none

   integer(id)              :: nb_arg
   CHARACTER(LEN=1000)           :: fileConst 
   integer(id)              :: i
	
	 integer, parameter :: fout=57
	
  

   nb_arg = iargc()
   if ((nb_arg.eq.1).or.(nb_arg.eq.2)) then !if argument when calling this program, use the argument as the constants file name
      CALL getarg(1,fileConst)
      CALL  initDyn(fileConst)
      call computepartials
			if (nb_arg==2) call writeSimulated
			call initFit()
			call fit()
			call writeOut(fout)
			call writeResults(fout)
   else 
      WRITE(*,*) 'ERROR in mainDyn: Only one or two argument is permitted'
      STOP
   endif
END PROGRAM	main
