program test
	use kindtype
	use odeMod
	real(dp), dimension(2) ::  ci,yout
	real(dp) :: t,dt,tend
	integer :: n=1000, i
	tend=2*3.14_rd
	dt=tend/(1.1_rd*n)
	ci=(/0._rd,1._rd/)
	call  setupStart(4,2,tstart=0._rd,YSTART=ci,TEND=tend,ToLp=1.e-13_rd,THRESH1=1.e-20_rd)
	OPEN(18,file="test.out",status='replace',action='write') 		
	do i=1, n
		call integ(toint,i*dt,yout)
		write(18,*)i*dt,yout
	end do
	close(Unit=18)
	
contains
	
subroutine toInt(t,x,f)
	use kindtype
	real(dp), intent(in) :: t
	real(dp), intent(in), dimension(2) :: x
	real(dp), intent(out), dimension(2) ::f	
	f(1)=x(2)
	f(2)=-x(1)
end subroutine toInt
end program test