import numpy as np
import os
from shutil import copy2, copyfile
import subprocess as sb


def createInput(iF,oF,i,lam):
    inF=open(iF,'r')
    outF=open(oF,'w')
    countL=0
    npriors=0
    for l in inF:
        countL=countL+1
        if countL==2:
            outF.write(l.rstrip()+'_'+str(i)+' \n')
        elif countL==5:
            outF.write(l)
            npriors = int(l.split()[0])
                
        
        elif countL==14+npriors:
            ls=l.split()
            outF.write(ls[0]+'  '+str(lam)+'   '+ls[2]+' \n')
        else:
            outF.write(l)
    inF.close()
    outF.close()




inputFile = 'input_5f'
outInFile=inputFile+'_tmp'

logLamStart=1
logLamEnd=4
npoints=20

dlogLam=(logLamEnd-logLamStart)/(npoints-1.)


loglambda=logLamStart+np.array(range(npoints))*dlogLam
lam=10**loglambda


for i in range(npoints):
    createInput(inputFile,outInFile,i,lam[i])
    sb.call(['./main',outInFile])